<template>
    <div>
        <h1>Relação de Imóveis</h1>
        <b-card class="mt-3">
            <b-table striped hover responsive 
                id="imoveis" 
                :busy = "busy"
                :fields="fields"
                :items="consultar"></b-table>
        </b-card>
    </div>
</template>
<script>
import axios from 'axios'
export default {
    data:function () {
        return {
            show: true,
            fields: [
                {key:'inscricao', label:'Inscrição'},
                {key:'endereco', label:'Endereço'},
                {key:'bairro', label:'Bairro'},
                {key:'cep', label:'CEP'},
                {key:'localidade', label:'Localidade'},
                {key:'area', label:'Área do terreno(m²)'}
            ],
            busy:false
        }
    },
    methods: {
        consultar() {
          const config = {
            headers:{ Authorization: this.$store.state.token}
          }
          let promisse = axios.get("http://localhost:5555/cidadao/imoveis", config)
          return promisse
              .then(({data}) => { 
                return data;
              })
              .catch(() => { return []})
        }
    }
}
</script>
<style scoped>
    .proprietario {
        list-style-type: none;
        padding: 0;
    }
</style>